Bug 739334 - Adjust service disabling for systemd, and remove some dead wood
Adjust service disabling for systemd, and remove some dead wood
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-17 16:05 EDT by Adam Williamson
Modified: 2011-10-29 02:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: spin-kickstarts-0.16.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-29 02:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch! (5.57 KB, patch)
2011-09-17 16:07 EDT, Adam Williamson
no flags Details | Diff
updated patch: adds --no-reload (5.32 KB, patch)
2011-09-19 00:37 EDT, Adam Williamson
no flags Details | Diff

  None (edit)
Description Adam Williamson 2011-09-17 16:05:33 EDT
This patch correctly uses systemd rather than chkconfig to disable various services in live boot, and drops some very obsolete stuff from fedora-live-base.ks and fedora-live-mini.ks. It also updates the hwclock fixup in live-mini.ks (this was updated for systemd in live-base but not live-mini).

These are all fairly straightforward changes we should take for F16; currently, atd, crond and mdmonitor-takeover all fire on live images.
Comment 1 Adam Williamson 2011-09-17 16:05:52 EDT
proposing as final NTH.
Comment 2 Adam Williamson 2011-09-17 16:07:17 EDT
Created attachment 523724 [details]
the patch!
Comment 3 Adam Williamson 2011-09-19 00:37:04 EDT
Created attachment 523779 [details]
updated patch: adds --no-reload

this patch uses --no-reload for the disabling, which is more correct. not having it doesn't cause trouble while livesys is still a sysv service, it seems, but it's best to have it anyway.
Comment 4 Adam Williamson 2011-09-30 16:31:30 EDT
Discussed at 2011-09-30 NTH review meeting. Rejected as NTH, it doesn't make sense to touch sensitive live spin bits during a freeze; we should fix this before freeze if we're going to fix it.
Comment 5 Bruno Wolff III 2011-09-30 16:32:18 EDT
I'll try to get this tested this weekend. If things look OK after some simple testing, I'll commit it so we can get it really tested before final freeze.
Comment 6 Bruno Wolff III 2011-10-03 00:26:13 EDT
I didn't get as far as I would have liked, so I am not ready to push this out just yet.
I did get a live image built using this patch with updates-testing. It booted up, but seems to have had a problem with selinux. I had to change to permissive mode to get gdm to work. I didn't get a chance to check the services yet, though I can say that firstboot didn't start.
Comment 7 Adam Williamson 2011-10-03 23:46:31 EDT
it does sound like that's not related to the patch, but obviously complicates testing. you could try without updates-testing, i guess.
Comment 8 Fedora Update System 2011-10-15 18:27:48 EDT
spin-kickstarts-0.16.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.16.2-1.fc16
Comment 9 Bruno Wolff III 2011-10-15 18:29:32 EDT
I finally got around to looking at whether what the patch changes looks good and it did. The other issue had already been fixed. So I pushed the change to the repo. Also it is a good time to rebuild the spin-kickstarts package to get an up to date version in before final freeze.
Comment 10 Fedora Update System 2011-10-15 20:37:51 EDT
Package spin-kickstarts-0.16.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spin-kickstarts-0.16.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14428
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-10-21 00:46:34 EDT
spin-kickstarts-0.16.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.16.3-1.fc16
Comment 12 Fedora Update System 2011-10-24 21:50:52 EDT
spin-kickstarts-0.16.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.16.4-1.fc16
Comment 13 Fedora Update System 2011-10-29 02:32:06 EDT
spin-kickstarts-0.16.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.